# My first attempt to write a spec file from scratch for dansguardian

Summary:	Web content filter
Name:		dansguardian
Version:	2.9.8.2
Release:	2
License:	GPL
Group:		Productivity/Networking/Web/Proxy
URL:		http://dansguardian.org
Source:		%{name}-%{version}.tar.gz
Patch0:		dans-suse-init.diff
Patch1:		danslogperms.diff
Patch2:		dan-clamav.diff
BuildRoot:	%{_tmppath}/making_of_%{name}
Requires:	squid clamav >= 0.90.1
Provides:	dansguardian
BuildRequires:	libstdc++-devel zlib-devel

%description
Dansguardian is a very configurable web content filter to 
give safe access to the internet.  It offers real time 
checking instead of rbl lists.

http://dansguardian.org


Authors:
--------
    Daniel Barron <dansguardian@users.sourceforge.net>
    Dan Moinescu <apollodor@users.sourceforge.net>
    Nerijus Baliunas <nerijus@users.sourceforge.net>
    Philip Allison <ognam@users.sourceforge.net>
    CWeimann <cweimann@users.sourceforge.net>

%prep

%setup -q

%patch0
%patch1
%patch2

%build
export CFLAGS="-03 -fPIC"
%if %{_arch} == "x86_64"
export LDFLAGS="-L/usr/lib64"
%else
export LDFLAGS="-L/usr/lib"
%endif
./configure --prefix=/usr --sysconfdir=/etc \
 --libdir=%{_libdir} --infodir=%{_infodir} \
 --mandir=%{_mandir} --with-logdir=/var/log/dansguardian \
 --with-proxygroup=vscan --with-piddir=/var/run \
 --enable-clamav --enable-clamd --enable-trickledm \
 --enable-email --enable-ntlm --enable-kavd \
 --enable-icap

make
%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
install -d -m 744 %{buildroot}/etc/init.d
install -d -m 744 %{buildroot}/etc/logrotate.d
install -d -m 744 %{buildroot}/srv/www/cgi-bin
cp $RPM_BUILD_ROOT/usr/share/dansguardian/scripts/systemv-init $RPM_BUILD_ROOT/etc/init.d/dansguardian
cp $RPM_BUILD_ROOT/usr/share/dansguardian/scripts/dansguardian $RPM_BUILD_ROOT/etc/logrotate.d/
cp $RPM_BUILD_ROOT/usr/share/dansguardian/dansguardian.pl $RPM_BUILD_ROOT/srv/www/cgi-bin/
touch access.log
install -m 644 access.log %{buildroot}/var/log/dansguardian/access.log
ln -sf /etc/init.d/dansguardian %{buildroot}/usr/sbin/rcdansguardian

%postun
%run_ldconfig
%restart_on_update dansguardian
%insserv_cleanup

%post
%run_ldconfig

%preun
%stop_on_removal dansguardian

%files
%defattr(-, root, root)
%doc README INSTALL NEWS COPYING ChangeLog AUTHORS doc/FAQ doc/FAQ.html doc/Plugins doc/AuthPlugins doc/ContentScanners doc/DownloadManagers
/usr/sbin/dansguardian
/usr/sbin/rcdansguardian
/usr/share/dansguardian/*
%config(noreplace) /etc/dansguardian/*
/etc/logrotate.d/dansguardian
/usr/share/man/man8/*
%attr(744, root, root)/etc/init.d/dansguardian
/srv/www/cgi-bin/dansguardian.pl
%dir %attr(755, nobody, vscan) /var/log/dansguardian
%attr(644, nobody, vscan) /var/log/dansguardian/access.log

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 13 2007 Joe Morris <joe_morris@ntm.org>
- update to 2.9.8.2
* Sun Oct 30 2005 Joe Morris <joe_morris@ntm.org>
- update to 2.8.0.6
* Fri Mar 04 2005 Joe Morris <joe_morris@ntm.org
- update to 2.8.0.4
* Fri Nov 12 2004 Joe Morris <joe_morris@ntm.org>
- update to 2.8.0.3, built on SuSE 9.2 x86_64
* Thu Sep 2 2004 Joe Morris <Joe_Morris@ntm.org>
- First build of dansguardian 2.8.0 modified for suse 9.1 x86_64